import Config from '../static/config/index.js';
import WXBizDataCrypt from "./WXBizDataCrypt.js"; 
export default{
	uniLogin() {
		uni.login({
		  provider: 'weixin',
		  success: function (loginRes) {
			  console.log(loginRes)
			  
		  }})
	},
	async uniGetUserInfo(e) {
		uni.getUserProfile({ //授权后可以通过uni.getUserProfile得到用户信息
			lang: "zh_CN",
			desc: '用于完善用户信息',
			success: res => {
				let avatarUrl = res.userInfo.avatarUrl;
				let nickName = res.userInfo.nickName;
				console.log(res)
				this.uniLogin();
			}
		})
	},
	// 解密手机
	async onGetPhoneNumber(appid,session_key,encryptedData,iv) {
	 let pc = await new WXBizDataCrypt(appid,session_key);
	 let data = await pc.decryptData(encryptedData ,iv);
	 return data;
	},
	// 扫码方法
	scanCode() {
			 uni.scanCode({
				  success:(res)=> {
					   this.scaninfo=res;
					   if(res.result){//res.result
					   if(res.result.includes(Config.AVScanUrl)){
						   uni.reLaunch({
							url:`/pages/index/index?q=${res.result}`
						   })
					   }else{
						   uni.showToast({
						   	title:'二维码错误',
							icon:'none'
						   })
					   }
					   // '0016429'||
					   
					   // `../pages/index/index`
					//    console.log(res.result,'内部扫码')
					   }
				  },
				  fail() {
				  	 uni.showToast({
						 icon:'none',
						 title:'扫码失败'
					 })
				  }
			  });
	},
	formatDate(value) {
	                var date = new Date();
	                date.setTime(value);
	                var month = date.getMonth() + 1;
					if (month < 10)
					    month = "0" + month;
					var cdate = date.getDate();
					if (cdate < 10)
					    cdate = "0" + cdate;
	                var hours = date.getHours();
	                if (hours < 10)
	                    hours = "0" + hours;
	                var minutes = date.getMinutes();
	                if (minutes < 10)
	                    minutes = "0" + minutes;
	                var time = date.getFullYear() + "-" + month + "-" + cdate +
	                    " " + hours + ":" + minutes;
	                return time;
	            },
    numberFixed(data,fixed=2){
		if(data==undefined){
			return undefined
		}else if(data == 0){
			return '0'
		}else{
			return (Math.round(Number(data) * Math.pow(10,fixed)) / Math.pow(10,fixed)).toFixed(fixed);
		}
	}
}